﻿@model ClusterMoreModel

<section class="content-header">
    <h1>
        Create Cluster
    </h1>
    <ol class="breadcrumb">
        <li><a href="#"><i class="fa fa-dashboard"></i> Level</a></li>
        <li class="active">Here</li>
    </ol>
</section>
<section class="content">
    <div class="row">
        <!-- left column -->
        <div class="col-md-6">
            <!-- general form elements -->
            <div class="box box-primary">
                <div class="box-header with-border">
                    <h3 class="box-title">Create Cluster</h3>
                </div>
                <!-- /.box-header -->
                <!-- form start -->
                <form role="form" asp-controller="Taxonomy" asp-action="ClusterMore" method="post" enctype="multipart/form-data">
                    <div class="box-body">

                        <input type="hidden" asp-for="TaxonomyId" value="@Model.TaxonomyId" />
                        <input type="hidden" asp-for="RootId" value="@Model.RootId" />
                        <input type="hidden" asp-for="TaxonomyName" value="@Model.TaxonomyName" />
                        <input type="hidden" asp-for="ProcessName" value="@Model.ProcessName" />

                        <div class="form-group">
                            <label asp-for="ProcessName"></label>
                            <input asp-for="ProcessName" class="form-control" value="@Model.ProcessName" disabled/>
                        </div>

                        
                        <div class="form-group">
                            <label asp-for="TaxonomyName"></label>
                            <input asp-for="TaxonomyName" class="form-control" value="@Model.TaxonomyName" disabled/>
                        </div>
                        <div class="form-group">
                            <label asp-for="NumberOfTopics"></label>
                            <input asp-for="NumberOfTopics" class="form-control" required value="5"/>
                        </div>
                        <div class="form-group">
                            <label asp-for="NumberOfWords"></label>
                            <input asp-for="NumberOfWords" class="form-control" required value="10"/>
                        </div>
                        <div class="form-group">
                            <label asp-for="NumberOfIterations"></label>
                            <input asp-for="NumberOfIterations" class="form-control" required value="400"/>
                        </div>
                        <div class="form-group">
                            <label asp-for="TopicThreshold"></label>
                            <input asp-for="TopicThreshold" class="form-control" required value="0.3"/>
                        </div>
                    </div>
                    <!-- /.box-body -->

                    <div class="box-footer">
                        <button type="submit" class="btn btn-primary">Submit</button>
                    </div>
                </form>
            </div>
            <!-- /.card -->
        </div>
    </div>
    <!-- /.row -->
</section>
